﻿using System.Collections.Generic;

namespace Katteker
{
    public class UpdateInfo
    {
        private readonly Releases _releases;
        public ReleaseEntry CurrentlyInstalledVersion { get; protected set; }

        public ReleaseEntry FutureReleaseEntry { get; protected set; }

        public List<ReleaseEntry> ReleasesToApply { get; protected set; } = new List<ReleaseEntry>();

        

        public UpdateInfo(string applicationName, Releases releases)
        {
            _releases = releases;
            CurrentlyInstalledVersion = new ReleaseEntry(applicationName, VersionExtension.GetCurrentVersion);
            foreach (var release in releases)
            {
                if (applicationName.Equals(release.ApplicationName) && release.Version > CurrentlyInstalledVersion.Version)
                {
                    ReleasesToApply.Add(release);
                }
            }
        }
    }
}