﻿using System;
using System.IO;
using System.Reflection;
using System.Security.Cryptography;

namespace Katteker
{
    public static class Utility
    {
        internal static string GetLocalAppDataDirectory()
        {
            return Environment.GetFolderPath(Environment.SpecialFolder.LocalApplicationData);
        }

        internal static string GetApplicationName()
        {
            return Assembly.GetEntryAssembly().GetName().Name;
        }

        public static bool IsWebUrl(string urlOrPath)
        {
            var uri = new Uri(urlOrPath);
            return uri.Scheme == "http" || uri.Scheme == "https";
        }

        public static string ComputeFileHash(string filename)
        {
            string sha1;
            var fileInfo = new FileInfo(filename);

            using (var fileStream = fileInfo.OpenRead())
            {
                var buffer = new byte[5242880];
                fileStream.Read(buffer, 0, buffer.Length);
                var sha1Managed = new SHA1Managed();
                sha1 = Convert.ToBase64String(sha1Managed.ComputeHash(buffer));
            }
            return sha1;
        }
    }
}